Bug 1018591 - Fails to save image as PNG
Fails to save image as PNG
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-13 13:14 EDT by Tim Waugh
Modified: 2015-06-29 08:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:37:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jpg file with color profile that triggers bug (90.95 KB, image/jpeg)
2013-11-07 15:23 EST, Scott Dowdle
no flags Details

  None (edit)
Description Tim Waugh 2013-10-13 13:14:32 EDT
Description of problem:
Some images cannot be saved in PNG format.

Version-Release number of selected component (if applicable):
gimp-2.8.6-5.fc20.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Start gimp, open /usr/share/backgrounds/gnome/Waves.jpg
2.Export as PNG

Actual results:
Error dialog, and this output:

lcms: skipping conversion because profiles seem to be equal:
 sRGB IEC61966-2.1
 sRGB built-in
libpng error: known incorrect sRGB profile

(file-png:3759): GLib-WARNING **: (gerror.c:390):g_error_new_valist: runtime check failed: (domain != 0)
Comment 1 Scott Dowdle 2013-11-07 15:22:18 EST
I have run into this issue too.  It seems to be a problem with libpng and some .jpg files with particular color profiles.

Here are some additional references:

https://bbs.archlinux.org/viewtopic.php?id=164115

https://bugs.archlinux.org/task/35363
Comment 2 Scott Dowdle 2013-11-07 15:23:47 EST
Created attachment 821292 [details]
jpg file with color profile that triggers bug

Attached image is a jpg file that has the color profile that triggers this bug.
Comment 3 Scott Dowdle 2013-11-07 15:25:11 EST
Until this bug is fixed, a work around is to:

1) Load the problem source image

2) Select all, copy

3) Paste as new image

4) Discard original image and work with the pasted one that will not have the problematic color profile.  If desired, export that on top of the original image.
Comment 4 Karl Janson 2013-12-30 06:26:43 EST
Found a little simpler workaround for this problem:

1) Open the problematic JPG image
2) From the menubar choose Image -> Mode -> Convert to color profile...
3) In the dialog leave all options to default:
    Convert to: RGB workspace (sRGB built-in)
    Rendering intent: Perceptual
    Black point compensation: unchecked
4) Hit convert
5) You should now be able to export to PNG without any problems
Comment 5 Miguel Angel Perez 2014-03-30 14:40:01 EDT
I've just seen this bug happen today. The first workaround solved it.
Comment 6 Fedora End Of Life 2015-05-29 05:34:17 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:37:56 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.